/*
    GQ -- a GTK-based LDAP client
    Copyright (C) 1998,1999 Bert Vermeulen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "config.h"

#define PACKAGEVERSION  PACKAGE " " VERSION
#define about_blurb     "The gentleman's LDAP client" \
                        "\n\n(C) 1999 Bert Vermeulen\nbert@biot.com" \
			"\n\nhttp://biot.com/gq/"

#define LABEL_ST_SEARCH   "search"
#define LABEL_ST_FILTER   "filter"
#define SEARCH_MODE       1
#define BROWSE_MODE       2

void fill_serverlist_combo(void);
void cleanup(void);
void gq_exit(GtkWidget *widget, gpointer *data);
void searchtype_changed_callback(gpointer *selection);
void servername_changed_callback(GtkEntry *entry);
void findbutton_pressed_callback(GtkWidget *entry);
void create_mainwin(void);
void mode_search_selected(GtkWidget *widget, GtkWidget *mainwin);
void mode_browse_selected(GtkWidget *widget, GtkWidget *mainwin);
GtkWidget *create_mainwin_searchmode(void);
GtkWidget *create_about_window(void);
gboolean ctrl_b_hack(GtkWidget *widget, GdkEventKey *event, gpointer obj);
