/*
    GQ -- a GTK-based LDAP client
    Copyright (C) 1998,1999 Bert Vermeulen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


void server_edit_callback(GtkWidget *this, gpointer data);
void create_edit_server_window(struct ldapserver *server);
void destroy_edit_server_window(GtkWidget *this, gpointer data);
gboolean destroy_edit_server_window_on_esc(GtkWidget *widget, GdkEventKey *event,
					   gpointer data);
void cancel_new_server_callback(gpointer data);
gboolean cancel_new_server_callback_on_esc(GtkWidget *widget, GdkEventKey *event,
					   gpointer data);
void serverstab_newbutton_callback(GtkWidget *widget, GtkWidget *clist);
void serverstab_editbutton_callback(GtkWidget *widget, GtkWidget *clist);
void server_selected_callback(GtkWidget *clist, gint row, gint column,
			      GdkEventButton *event, gpointer data);
void server_unselected_callback(GtkWidget *clist, gint row, gint column,
			      GdkEventButton *event, gpointer data);
void fill_serverlist_serverstab(void);
void create_serverstab(GtkWidget *target);
void create_prefs_window(void);
GtkWidget* get_widget(GtkWidget *widget, gchar *widget_name);

